### Function

# Gimp cairo_surface_get_format

since: 2.10

#### Declaration [src]

    const Babl*
    gimp_cairo_surface_get_format (
      cairo_surface_t* surface
    )

#### Description [src]

This function returns a `Babl` format that corresponds to `surface`‘s pixel format.

Available since: 2.10

#### Parameters

`surface`

  Type: `cairo_surface_t`

  A Cairo surface.

  The data is owned by the caller of the function.

#### Return value

Type: `Babl`

The `Babl` format of `surface`.

The data is owned by the called function.